function mask = getmask( id )
% getmask is a helper function to retrieve a mask. Since there are a few
% different masks I used, I didn't want to pollute the main code with all
% the masks commented out.
% Parameters:
%            id - the id of the mask we want
% Returns - a mask to be used

if id==1
    mask = [1   1   1   1   0   0   0   0
            1   1   1   0   0   0   0   0
            1   1   0   0   0   0   0   0
            1   0   0   0   0   0   0   0
            0   0   0   0   0   0   0   0
            0   0   0   0   0   0   0   0
            0   0   0   0   0   0   0   0
            0   0   0   0   0   0   0   0];

elseif id==2
    mask = zeros(16,16); mask(1,1) = 1; mask(1,2) = 1; mask(1,3) = 1; mask(1,4) = 1;
    mask(2,1) = 1; mask(2,2) = 1; mask(2,3) = 1;
    mask(3,1) = 1; mask(3,2) = 1; 
    mask(4,1) = 1;

elseif id==3
    mask = zeros(16,16); mask(1,1:8) = 1;
    mask(2, 1:7) = 1;
    mask(3, 1:6) = 1;
    mask(4, 1:5) = 1;
    mask(5, 1:4) = 1;
    mask(6, 1:3) = 1;
    mask(7, 1:2) = 1;
    mask(8, 1) = 1;
elseif id==4
    mask = zeros(32,32); mask(1,1:16) = 1;
    mask(2, 1:15) = 1;
    mask(3, 1:14) = 1;
    mask(4, 1:13) = 1;
    mask(5, 1:12) = 1;
    mask(6, 1:11) = 1;
    mask(7, 1:10) = 1;
    mask(8, 1:9) = 1;
    mask(9, 1:8) = 1;
    mask(10, 1:7) = 1;
    mask(11, 1:6) = 1;
    mask(12, 1:5) = 1;
    mask(13, 1:4) = 1;
    mask(14, 1:3) = 1;
    mask(15, 1:2) = 1;
    mask(16, 1) = 1;

elseif id==5
    mask = [1 1 0 0
            1 0 0 0
            0 0 0 0
            0 0 0 0];
        
elseif id==6
     mask = ones(8);
end

end
